Update SLA policy
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"first_response_time_threshold": 123,
"next_response_time_threshold": 123,
"resolution_time_threshold": 123,
"only_during_business_hours": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}SLA Policies
Update SLA policy
Update an SLA policy.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
sla_policies
/
{id}
Update SLA policy
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/sla_policies/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"first_response_time_threshold": 123,
"next_response_time_threshold": 123,
"resolution_time_threshold": 123,
"only_during_business_hours": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the SLA policy
The numeric ID of the account
Response
Success
Threshold in seconds
Threshold in seconds
Threshold in seconds